/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilecmsluplugin_stats_stats
#define headerfilecmsluplugin_stats_stats

#include <string>

namespace Stats
{


struct StatsGlobal
{
	int all;
	int unique;

	int google;
	int yahoo;

	StatsGlobal()
	{
		all    = 0;
		unique = 0;
		google = 0;
		yahoo  = 0;
	}
};


struct Stats
{
	int all;
	int google;
	int yahoo;

	Stats()
	{
		all    = 0;
		google = 0;
		yahoo  = 0;
	}
};

extern std::string stats_file;

void ReadStats();
void SaveStats();

} // namespace



#endif
